## GtkFileChooserWidget

GtkFileChooserWidget — File chooser widget that can be embedded in other widgets

## Functions

GtkWidget * | gtk_file_chooser_widget_new ()
GtkWidget * | gtk_file_chooser_widget_new_with_backend ()

## Types and Values

struct | GtkFileChooserWidget

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── GtkFileChooserWidget

## Implemented Interfaces

GtkFileChooserWidget implements AtkImplementorIface, GtkBuildable, GtkOrientable, GtkFileChooser and GtkFileChooserEmbed.

## Includes

    #include <gtk/gtk.h>

## Description

GtkFileChooserWidget is a widget suitable for selecting files. It is the main building block of a GtkFileChooserDialog. Most applications will only need to use the latter; you can use GtkFileChooserWidget as part of a larger window if you have special needs.

Note that GtkFileChooserWidget does not have any methods of its own. Instead, you should use the functions that work on a GtkFileChooser.

## Functions

### gtk_file_chooser_widget_new ()

    GtkWidget *
    gtk_file_chooser_widget_new (GtkFileChooserAction action);

Creates a new GtkFileChooserWidget. This is a file chooser widget that can be embedded in custom windows, and it is the same widget that is used by GtkFileChooserDialog.

#### Parameters

action | Open or save mode for the widget |

#### Returns

a new GtkFileChooserWidget

Since 2.4

### gtk_file_chooser_widget_new_with_backend ()

    GtkWidget *
    gtk_file_chooser_widget_new_with_backend
                                   (GtkFileChooserAction action,
                                    const gchar *backend);

`gtk_file_chooser_widget_new_with_backend` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `gtk_file_chooser_widget_new()` instead.

Creates a new GtkFileChooserWidget with a specified backend. This is especially useful if you use `gtk_file_chooser_set_local_only()` to allow non-local files. This is a file chooser widget that can be embedded in custom windows and it is the same widget that is used by GtkFileChooserDialog.

#### Parameters

action | Open or save mode for the widget |
backend | The name of the specific filesystem backend to use. |

#### Returns

a new GtkFileChooserWidget

Since 2.4

## Types and Values

### struct GtkFileChooserWidget

    struct GtkFileChooserWidget;

## See Also

GtkFileChooser, GtkFileChooserDialog